Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis
Class AxisServiceConfigImpl

    java.lang.Object
      org.apache.axis.AxisServiceConfigImpl

All Implemented Interfaces:
  AxisServiceConfig

public class AxisServiceConfigImpl
extends java.lang.Object
implements AxisServiceConfig

A simple implementation of AxisServiceConfig.

Author:
  Glen Daniels (gdaniels@apache.org)

Constructor Summary
`AxisServiceConfigImpl()`

Method Summary
`java.lang.String` | `getAllowedMethods()` Get the allowed method names.
`void` | `setAllowedMethods(java.lang.String methods)` Set the allowed method names.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AxisServiceConfigImpl

    public AxisServiceConfigImpl()

Method Detail

### setAllowedMethods

    public void setAllowedMethods(java.lang.String methods)

  Set the allowed method names.

  Parameters:
    `methods` - a `String` containing a list of all allowed methods

### getAllowedMethods

    public java.lang.String getAllowedMethods()

  Get the allowed method names.

  Specified by:
    `getAllowedMethods` in interface `AxisServiceConfig`
  Returns:
    a space-delimited list of method names which may be called via SOAP.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.